<?php
/**
 * BasketItemTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BasketsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Baskets
 *
 * Ensi Baskets
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\BasketsClient;

use PHPUnit\Framework\TestCase;

/**
 * BasketItemTest Class Doc Comment
 *
 * @category    Class
 * @description BasketItem
 * @package     Ensi\BasketsClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class BasketItemTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "BasketItem"
     */
    public function testBasketItem()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "basket_id"
     */
    public function testPropertyBasketId()
    {
    }

    /**
     * Test attribute "offer_id"
     */
    public function testPropertyOfferId()
    {
    }

    /**
     * Test attribute "seller_id"
     */
    public function testPropertySellerId()
    {
    }

    /**
     * Test attribute "product_id"
     */
    public function testPropertyProductId()
    {
    }

    /**
     * Test attribute "qty"
     */
    public function testPropertyQty()
    {
    }

    /**
     * Test attribute "created_at"
     */
    public function testPropertyCreatedAt()
    {
    }

    /**
     * Test attribute "updated_at"
     */
    public function testPropertyUpdatedAt()
    {
    }
}
